interface Sourcemap {
    version: number;
    sources: string[];
    names: string[];
    mappings: string;
    file: string;
    sourcesContent: string[];
    sourceRoot: string;
}
/**
 * View the original code from the sourcemap based on the error lineno and colno.
 * @param {string} sourcemap
 */
declare const sourcemapView: (sourcemap: Sourcemap) => (lineNo: number, colNo: number) => {
    file: string;
    lineNo: number;
    colNo: number;
    name: string;
    content: string;
};
export default sourcemapView;
